import { useAppSelector } from 'hooks/storeHooks';
import { ReactNode } from 'react';
import { Navigate, useLocation } from 'react-router-dom';
import { CONTACTS_ROUTES } from 'routes/paths';

type Props = {
  children: ReactNode;
};
export default function GuestGuard({ children }: Props) {
  const location = useLocation();
  const token = useAppSelector((state) => state.auth.tokens?.accessToken);

  if (token) {
    return (
      <Navigate to={CONTACTS_ROUTES.list} state={{ from: location }} replace />
    );
  }

  return <>{children}</>;
}
