import Page from 'components/Page';
import ContactForm from './ContactForm';
import { SingeContactFormValues } from 'types';
import { useCreateContactMutation } from 'storeSlices/apiSlice';
import { useNavigate } from 'react-router-dom';
import { CONTACTS_ROUTES } from 'routes/paths';

export default function CreateContact() {
  const navigate = useNavigate();
  const [createContact, { data, isLoading, isError }] =
    useCreateContactMutation();

  const handleCreate = (value: SingeContactFormValues) => {
    createContact({ ...value });

    navigate(CONTACTS_ROUTES.list);
  };

  const handleCancel = () => {
    navigate(CONTACTS_ROUTES.list);
  };

  return (
    <Page title='Create new contact'>
      <ContactForm
        title='Create new contact'
        buttonName='Create'
        onCancel={handleCancel}
        onSubmit={handleCreate}
      />
    </Page>
  );
}
